Why Python and PyGtk are cool

Ok, the downside: You need to have the proper versions of Gtk, Cairo, PyGtk and PyObject installed, otherwise things will break. And no package will actually point that you are trying to install the wrong dependency.